Bug 833583 - Subscription Manager GUI: More than one subscription manger window can be opened
Subscription Manager GUI: More than one subscription manger window can be opened
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: William Poteat
Entitlement Bugs
:
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-06-19 16:07 EDT by Sharath Dwaral
Modified: 2015-03-22 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 14:54:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Twon subscription manager windows opened simultaneously (238.44 KB, image/png)
2012-06-19 16:07 EDT, Sharath Dwaral
no flags Details

  None (edit)
Description Sharath Dwaral 2012-06-19 16:07:34 EDT
Created attachment 593061 [details]
Twon subscription manager windows opened simultaneously

Description of problem:
More than one subscription manager GUI can be opened at the same time

Version-Release number of selected component (if applicable):
RHEL 5.9
# rpm -qa | grep subscription-manager
subscription-manager-migration-1.0.4-1.git.0.0fe81f8.el5
subscription-manager-1.0.4-1.git.0.0fe81f8.el5
subscription-manager-migration-data-1.11.1.1-1.git.2.c7fbafe.el5
subscription-manager-gui-1.0.4-1.git.0.0fe81f8.el5
subscription-manager-firstboot-1.0.4-1.git.0.0fe81f8.el5

How reproducible:
Always

Steps to Reproduce:
1. ssh into client machine from another machine
2. export DISPLAY=$clientsdisplay  where $clientsdisplay is the $DISPLAY set on the client
3. run subscription-manager-gui
4. on the client machine directly, open another instance of subscription-manager-gui or open it via the rhsm-icon pop-up message.
  
Actual results:
Two subscription-manager windows can be opened simulateneously

Expected results:
Shouldn't be able to open more than one subscription-manager application

Additional info:
Screenshot attached
Comment 1 RHEL Product and Program Management 2012-06-19 16:28:27 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Bryan Kearney 2012-08-10 14:54:46 EDT
On RHEL6, I am seeing that we block it. If dbus is not working across the DISPLAY settings as described here I am not to worried about it.

Note You need to log in before you can comment on or make changes to this bug.